org.apache.ignite.internal.processors.odbc.odbc

## Class OdbcResponse

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.SqlListenerResponse
  - - org.apache.ignite.internal.processors.odbc.odbc.OdbcResponse

    public class OdbcResponse
    extends SqlListenerResponse

SQL listener response.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.SqlListenerResponse

`STATUS_FAILED, STATUS_SUCCESS`

### Constructor Summary

Constructors
Constructor and Description
`OdbcResponse(int status, String err)` Constructs failed rest response.
`OdbcResponse(Object obj)` Constructs successful rest response.

### Method Summary

Methods
`Object` `response()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.SqlListenerResponse

`error, error, status, status`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OdbcResponse

    public OdbcResponse(Object obj)

Constructs successful rest response.

Parameters:
  `obj` - Response object.

#### OdbcResponse

    public OdbcResponse(int status,
                @Nullable
                String err)

Constructs failed rest response.

Parameters:
  `status` - Response status.
  `err` - Error, `null` if success is `true`.

### Method Detail

#### response

    public Object response()

Returns:
  Response object.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017